# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: {startBlock} - {endBlock}
* Date Range: {dateStart} - {dateEnd}
* Council session #: {councilRound}

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |              |              |          |
| Total Tokens Burned |              |              |          |
| Validator Role      |              |              |          |
| Council Role        |              |              |          |
| Storage Role        |              |              |          |
| Curator Role        |              |              |          |

### 2.2 Mints 
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | {startCouncilMinted}  |  {endCouncilMinted} |{percNewCouncilMinted}          |
| Curator Mint Total Minted   |  {startCuratorMinted} | {endCuratorMinted}| {percCuratorMinted}          |
| Storage Mint Total Minted   |  {startStorageMinted} |  {endStorageMinted}            |  {percStorageMinted}        |

## 3.0 Council
* Council session #: {councilRound}
* Number of council members: {councilMembers}
* Total number of proposals: {newProposals}
* Total number of Approved proposals:

* ### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            |{electionApplicants}              |
| Total Applicant Stake       |{electionApplicantsStakes}              |
| Total Votes                 |{electionVotes}             |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): {avgBlockProduction}

| Property                    | Start Block | End Block | % Change |
|-----------------------------|--------------|--------------|----------|
| Validator total stake       |              |              |          |

### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Mint Tokens Generated (Total)    |              |              |          |
| Number of storage workers |              |              |          |
| Total storage stake (workers + lead)  |              |              |          |
| Total lead earned rewards   |              |              |          |
| Total worker earned rewards   |              |              |          |
| Total missed rewards   |              |              |          |
| Total rewards   |              |              |          |

### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Mint Tokens Generated (Total)    |              |              |          |
| Total lead earned rewards   |              |              |          |
| Total worker earned rewards   |              |              |          |
| Total missed rewards   |              |              |          |
| Curator roles filled     |              |              |          |

## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members |              |              |          |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       |              |              |          |
| Size of content         |              |              |          |
| Number of channels      |              |              |          |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | {startCategories} | {endCategories} | {perNewCategories}         |
| Number of threads    | {startThreads}| {endThreads} | {percNewThreads}         |
| Number of posts      | {startPosts} | {endPosts}            |  {percNewPosts}        |

## 6 Todo / Ideas
These are properties that are a bit difficult to currently work with, but can be added in future reports:
* Video duration
* Unique channels
* Verified channels
* Censored channels
* Forum posts by subcategory
* Total staked across platform
* Avg. uploads per channel
* Average time for proposal vote success:
* Average overall time for proposal vote success:
* USD backing